Get lyrics attributes

This endpoint allows you to retrieve available values of each lyrics attribute (e.g., themes, moods, brands, etc.) for the Get songs endpoint. You can for example query the list of all possible song themes.

These values are identified from song lyrics through large language models (LLMs). More details about the attributes in the Get lyrics analysis endpoint.

Request

GET /api/v2/referential/lyrics-attributes

Query string parameters

Parameter Value Description Additional
attribute string themes, moods, culturalReferencePeople, culturalReferenceNonPeople, brands, locations Required
term string Term to search item which contains term Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional

Response

Code Description Resource
200 OK

A lyrics attributes collection

LyricsAttributesCollectionResponse

Explore

themes, moods, culturalReferencePeople, culturalReferenceNonPeople, brands, locations

Term to search item which contains term

Get results starting from position

Number of results (max. 100)

Try it out